Skip to main content
POST
/
v1
/
managedPayments
/
intermediaryModel
/
accounts
Create a managed payments intermediary account
curl --request POST \
  --url https://api.circle.com/v1/managedPayments/intermediaryModel/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "Acme Corp managed payments account",
  "businessPii": {
    "businessName": "Acme Corp",
    "businessUniqueIdentifier": "12-3456789",
    "identifierIssuingCountryCode": "US",
    "address": {
      "line1": "123 Main St",
      "line2": "Suite 100",
      "city": "New York",
      "district": "NY",
      "postalCode": "10001",
      "country": "US"
    }
  }
}
'
{
  "data": {
    "accountId": "wallet-uuid-string",
    "entityId": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
    "type": "client",
    "description": "Acme Corp managed payments account",
    "status": "pending",
    "clientEntityId": "b1ffcd88-8d1a-5fg9-cc7e-7cc0ce491b22"
  }
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Body

application/json
description
string
required

A human-readable label for the sub-client account.

Maximum string length: 255
businessPii
object
required

PII for the business sub-client being onboarded.

Response

Successfully created a managed payments intermediary account.

data
object